Subject: [Dots] Adam Roach's No Objection on draft-ietf-dots-architecture-16: (with COMMENT)

From: Adam Roach via Datatracker <[email-masked]>
Date: Tue, 04 Feb 2020 16:23:51 -0800

Adam Roach has entered the following ballot position for
draft-ietf-dots-architecture-16: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-dots-architecture/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for the work that went into creating this architecture document.
I found it a useful introduction to DOTS.

---------------------------------------------------------------------------

§3.2.5:

Without needing to go into too much detail, it seems that this section would
benefit from citations to RFC 6886, RFC 7659, and ISO/IEC 29341-1-2:2017 as
alternate means to learn about NAT mappings.

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Wed, 5 Feb 2020 03:22:56 +0000

Hi Adam,

Thanks for the review. Please see inline 

> -----Original Message-----
> From: Dots <[email-masked]> On Behalf Of Adam Roach via
> Datatracker
> Sent: Wednesday, February 5, 2020 5:54 AM
> To: The IESG <[email-masked]>
> Cc: Roman Danyliw <[email-masked]>; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject: [Dots] Adam Roach's No Objection on draft-ietf-dots-architecture-
> 16: (with COMMENT)
> 
> CAUTION: External email. Do not click links or open attachments unless you
> recognize the sender and know the content is safe.
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 

PCP succeeds NAT-PMP (see https://tools.ietf.org/html/rfc6886#section-1.1).  DOTS clients only need learn their external IP address/port don't have to use NAT MIB (RFC7659). ISO/IEC 29341-1-2:2017 discusses uPnP, it does not work with multiple NATs (PCP works with NATs on the path).  The document refers to STUN and PCP both widely adopted by the Industry.

Cheers,
-Tiru

> 
> 
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots